<?php
class Proveedores extends CI_Controller
{
    private   $_template;
    protected $_fechaActual;
    protected $_iduser;
    protected $_csstyle;
	 protected $_role;

    function __construct()
	{
		parent::__construct();

		if( ! $this->redux_auth->logged_in() )
		{
			redirect(base_url().'login');
		}
		
		$this->config->load('js',TRUE);
		$this->config->load('style', TRUE);
		
		$this->_fechaActual = mdate("%Y-%m-%d %H:%i:%s",now());
		$this->_iduser 		= $this->session->userdata('id');
		$this->_csstyle 	= $this->config->item('style');
		$this->_jss			= $this->config->item('js');
		$this->_role 		= $this->session->userdata('role');
		
		$this->load->model("modelousuario","modelousuario");
		$this->load->model("proveedores_model","proveedores");
		$this->load->model("bancos_model","bancos");
		$this->load->model('modelo_configuracion','configuracion');
		
		if($this->session->userdata('matriz')=='1')
		{
			redirect('reportes/lista','refresh');
		}
	}//_constructor
	
	#========================================================================================================#
	#=========================================COMPRAS OR. POR PROVEEDORES====================================#
	#========================================================================================================#
	 
	
	public function prebusquedaCompras($idProveedor)
	{
		$this->session->set_userdata('idProveedorCompra',$idProveedor);
		
		redirect('proveedores/compras');
	}
	
	public function compras($Limite=0)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		$Data['csui']=$this->_csstyle["csui"];
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		$Data['Jry']=$this->_jss['jquery'];
		$Data['JFuntInventario']=$this->_jss['JFuntInventario'];
		$Data['Jquical']=$this->_jss['jquerycal'];
		$Data['Jqui']=$this->_jss['jqueryui'];                  
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente']; 
		$Data['JFuntPagClien']=$this->_jss['JFuntPagClien'];
		$Data['permisos']=$this->configuracion->obtenerRolPermisos($this->session->userdata('rol'));
		$Data['menuActivo']='proveedores'; 
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$idProveedor=$this->session->userdata('idProveedorCompra');
		
		$Pag["base_url"]= base_url()."proveedores/compras/";
		$Pag["total_rows"]=$this->proveedores->contarCompras($idProveedor);//Total de Registros
		$Pag["per_page"]=15;
		$Pag["num_links"]=5;
		
		$this->pagination->initialize($Pag);
		
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->leer=='0' and $data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}
		
		$data['proveedor'] = $this->proveedores->obtenerDatosProveedor($idProveedor);
		$data['compras'] = $this->proveedores->obtenerCompras($Pag["per_page"],$Limite,$idProveedor);
		$data['inicio']  = $Limite;
		$num_r = count($data['compras']);
		$Conte['per_page']= $num_r;
		//echo $Limite; return;
		
		$this->load->view("proveedores/compras",$data); //principal lista de clientes
		
		$this->load->view("pie",$Data);
	}

	#========================================================================================================#
	#=========================================CRITERIOS DE ORDENAMIENTO====================================#
	#========================================================================================================#
	
	public function ordenamiento($criterio)
	{
		$this->session->set_userdata('criterioProveedores',$criterio);
		
		redirect('proveedores','refresh');
	}

	#========================================================================================================#
	#=============================================AUTOCOMPLETADOS============================================#
	#========================================================================================================#
	
	public function autoCompletadoProveedores()
	{
		if(!empty ($_POST))
		{
			$clientes=$this->configuracion->autoCompletadoProveedores();
			
			if ($clientes!=NULL)
			{
				foreach ($clientes as $row)
				{
					echo '<li onClick="datoEncontrado(\''.$row->idProveedor.'\',\''.str_replace('"',"",$row->empresa).'\');">'.$row->empresa.'</li>';
				}
			}
		}
	}
	
	public function prebusqueda($idProveedor)
	{
		if($idProveedor=="nada")
		{
			$idProveedor='';
		}
		
		$this->session->set_userdata('idProveedorBusqueda',$idProveedor);
		
		redirect('proveedores','refresh');
	}
	
	public function prebusquedaFecha($fecha)
	{
		if($fecha=='nada')
		{
			$fecha="";			
		}
		
		$this->session->set_userdata('fechaCompras',$fecha);
		
		redirect('proveedores/compras','refresh');
	}
	
	public function agregarProveedor()
	{
		if(!empty ($_POST))
		{
			$proveedor=$this->proveedores->agregarProveedor();
			
			if($proveedor=="1")
			{
				$this->session->set_userdata('notificacion','Se ha registrado correctamente al proveedor');
			}
			
			echo $proveedor;
		}
	}
	
	public function editarProveedor()
	{
		if(!empty ($_POST))
		{
			$proveedor=$this->proveedores->editarProveedor();
			
			if($proveedor=="1")
			{
				$this->session->set_userdata('notificacion','Se ha editado correctamente el registro del proveedor');
			}
			
			echo $proveedor;
		}
	}
	
	public function formularioCuentas()
	{
		echo'
		<table class="admintable" width="100%">
			<tr>
				<th colspan="2">Registrar cuenta de banco</th>
			</tr>
			<tr>
			<td class="key">Banco:</td>
			<td>
				<input type="text" class="cajas" name="txtBanco" id="txtBanco" style="width:200px"/>
			</td>
			</tr>
			
			<tr>
				<td class="key">Sucursal:</td>
				<td>
					<input type="text" class="cajas" name="txtSucursal" id="txtSucursal" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Cuenta:</td>
				<td>
					<input type="text" class="cajas" name="txtCuenta" id="txtCuenta" style="width:200px"/>
				</td>
			</tr>
			<tr>
				<td class="key">Clabe:</td>
				<td>
					<input type="text" class="cajas" name="txtClabe" id="txtClabe" style="width:200px"/>
				</td>
			</tr>
		</table>';
	}
	
	public function obtenerCuenta()
	{
		$idCuenta		=$this->input->post('idCuenta');
		$cuenta			=$this->bancos->obtenerCuentaProveedor($idCuenta);
		
		echo'
		<input type="hidden" value="'.$idCuenta.'" name="txtIdCuenta" id="txtIdCuenta"/>
		<table class="admintable" width="100%">
			<tr>
				<th colspan="2">Editar cuenta de banco</th>
			</tr>
			<tr>
			<td class="key">Banco:</td>
			<td>
				<input type="text" class="cajas" name="txtBanco" id="txtBanco" style="width:200px" value="'.$cuenta->banco.'"/>
			</td>
			</tr>
			
			<tr>
				<td class="key">Sucursal:</td>
				<td>
					<input type="text" value="'.$cuenta->sucursal.'" class="cajas" name="txtSucursal" id="txtSucursal" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Cuenta:</td>
				<td>
					<input type="text" value="'.$cuenta->cuenta.'" class="cajas" name="txtCuenta" id="txtCuenta" style="width:200px"/>
				</td>
			</tr>
			<tr>
				<td class="key">Clabe:</td>
				<td>
					<input type="text" value="'.$cuenta->clabe.'" class="cajas" name="txtClabe" id="txtClabe" style="width:200px"/>
				</td>
			</tr>
		</table>';
	}
	
	public function borrarCuenta()
	{
		if(!empty ($_POST))
		{
			$idCuenta	=$this->input->post('idCuenta');
			$cuenta		=$this->proveedores->borrarCuenta($idCuenta);
			
			echo $cuenta;
		}
	}
	
	public function editarCuenta()
	{
		if(!empty ($_POST))
		{
			$cuenta=$this->proveedores->editarCuenta();
			echo $cuenta;
		}
	}
	
	public function registrarCuenta()
	{
		if(!empty ($_POST))
		{
			$cuenta=$this->proveedores->registrarCuenta();
			echo $cuenta;
		}
	}
	
	public function obtenerMapa()
	{
		$this->load->library('googlemaps');

		$proveedor		=$this->proveedores->obtenerDatosProveedor($this->input->post('idProveedor'));
		
		$pais			=$proveedor->pais=='México'?"Mexico":$proveedor->pais;
		
		$config['center'] 				= $proveedor->numero.', '.$proveedor->domicilio.', '.$proveedor->localidad.', '.$proveedor->municipio.', '.$proveedor->estado.', '.$pais.', '.$proveedor->codigoPostal;
		$config['zoom'] 				= '13';
		$config['loadAsynchronously'] 	= true;
		$config['https'] 				= true;
		$config['map_height'] 			= '540px';
		$config['map_width'] 			= '983px';
		$config['posicionY'] 			= '1%';
		$config['posicionX'] 			= '0%';
		$config['posicion'] 			= 'absolute';
		
		$config['map_div_id'] 			= 'mapaProveedores';

		$this->googlemaps->initialize($config);
		
		$marker['icon'] 				= 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld=A|9999FF|000000';
		$marker['position'] 			= $config['center'];
		$this->googlemaps->add_marker($marker);
		$map 					= $this->googlemaps->create_map();

		echo $map['js'];
		echo $map['html'];
		
		 echo'
		<script>
		$(document).ready(function()
		{
			loadScript();
		});
		</script>';
	}
	
	public function obtenerProveedor()
	{
		$idProveedor	=$this->input->post('idProveedor');
		$proveedor		=$this->proveedores->obtenerDatosProveedor($idProveedor);
		$cuentas		=$this->proveedores->obtenerCuentas($idProveedor);
		
		/*$this->load->library('googlemaps');
				
		$pais		=$proveedor->pais=='México'?"Mexico":$proveedor->pais;
		
		$config['center'] 				= $proveedor->numero.', '.$proveedor->domicilio.', '.$proveedor->localidad.', '.$proveedor->municipio.', '.$proveedor->estado.', '.$pais.', '.$proveedor->codigoPostal;
		$config['zoom'] 				= '13';
		$config['loadAsynchronously'] 	= true;
		$config['https'] 				= true;
		$config['map_height'] 			= '300px';
		$config['map_width'] 			= '500px';
		$config['posicionY'] 			= '11%';
		$config['posicionX'] 			= '47%';
		$config['posicion'] 			= 'absolute';
		
		$config['map_div_id'] 			= 'mapaProveedores';

		$this->googlemaps->initialize($config);
		
		$marker['icon'] 				= 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld=A|9999FF|000000';
		$marker['position'] 			= $config['center'];
		$this->googlemaps->add_marker($marker);
		$map 					= $this->googlemaps->create_map();

		echo $map['js'];
		echo $map['html'];
		
		 echo'
		<script>
		$(document).ready(function()
		{
			loadScript();
		});
		</script>';*/
		
		echo
		'<div id="recargarMapa"></div>
		<table class="admintable" width="100%">
			<tr>
				<td class="key">* Empresa</td>
				<td>
					<input value="'.$proveedor->empresa.'" type="text" class="cajas" id="empresa1" name="empresa1" style="width:650px" />
					<input type="hidden" value="'.$idProveedor.'" name="txtIdProveedor" id="txtIdProveedor"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Vende:</td>
				<td>
					<input value="'.$proveedor->vende.'" type="text" class="cajas" id="txtVende" name="txtVende" style="width:650px" />
				</td>
			</tr>
			
			 <tr>
				<td class="key">RFC</td>
				<td>
				<input type="text" class="cajas" value="'.$proveedor->rfc.'" name="rfc" id="rfc1" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Alias</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->alias.'" name="txtAlias" id="txtAlias" style="width:200px" />
				</td>
			</tr>
			
			
			  <tr>
				<td class="key">* Calle</td>
				<td>
					<textarea class="TextArea" style="width:205px" name="domicilio" id="domicilio">'.$proveedor->domicilio.'</textarea>
				</td>
			</tr>
			
			<tr>
				<td class="key">Número</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->numero.'" name="txtNumero" id="txtNumero" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Colonia</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->colonia.'" name="txtColonia" id="txtColonia" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Código postal</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->codigoPostal.'" name="txtCodigoPostal" id="txtCodigoPostal" style="width:200px" />
				</td>
			</tr>
			
			<tr>
				<td class="key">Localidad</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->localidad.'" name="txtLocalidad" id="txtLocalidad" style="width:200px" />
				</td>
			</tr>
			
			<tr>
				<td class="key">Municipio</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->municipio.'" name="txtMunicipio" id="txtMunicipio" style="width:200px" />
				</td>
			</tr>
			
			<tr>
				<td class="key">Estado</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->estado.'" name="estado" id="estado" style="width:200px" />
				</td>
			</tr>
			
			 <tr>
				<td class="key">País</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->pais.'" name="pais" id="pais" style="width:200px"/>
				</td>
			</tr>

			 <tr>
				<td class="key">* Teléfono</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->telefono.'" name="telefono" id="telefono1" style="width:200px"/>
				</td>
			</tr>
			
			<tr>
				<td class="key">Fax</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->fax.'" name="txtFax" id="txtFax" style="width:200px"/>
				</td>
			</tr>
		
			 <tr>
				<td class="key">Email</td>
				<td>
					<input type="text" class="cajas" value="'.$proveedor->email.'" name="email" id="email1" style="width:200px"/>
				</td>
			</tr>
			
			
			
			 
			
			 <tr>
				<td class="key">Página web</td>
				<td>
				<input type="text" class="cajas" value="'.$proveedor->website.'" name="pagina" id="pagina1" style="width:200px"/>
				</td>
			</tr>
			</table>';
			

			echo '
			<table class="admintable" width="100%">
				<tr>
					<th colspan="6">
						Cuentas de banco
						<img src="'.base_url().'img/add.png" width="22" title="Agregar cuenta" onclick="formularioCuentas()" />
					</th>
				</tr>
				<tr>
					<th>#</th>
					<th>Banco</th>
					<th>Sucursal</th>
					<th>Cuenta</th>
					<th>Clabe</th>
					
					<th>Acciones</th>
				</tr>';
				
				$i=1;
				foreach($cuentas as $row)
				{
					echo '
					<tr>
						<td>'.$i.'</td>
						<td>'.$row->banco.'</td>
						<td>'.$row->sucursal.'</td>
						<td>'.$row->cuenta.'</td>
						<td>'.$row->clabe.'</td>
						
						<td align="center">
							<img onclick="obtenerCuenta('.$row->idCuenta.')" src="'.base_url().'img/editar.png" width="22" title="Editar cuenta" />
							&nbsp;&nbsp;&nbsp;
							<img onclick="borrarCuenta('.$row->idCuenta.')" src="'.base_url().'img/borrar.png" width="22" title="Borrar cuenta" />
							<br />
							<a>Editar</a>
							<a>Borrar</a>
						</td>
					</tr>';
					
					$i++;
			}
			
		echo'</table>';
	}
	
	
	public function obtenerProveedores()
	{
		$proveedores = $this->proveedores->obtenerProveedores();
		
		echo
		'
			<label>Proveedor:</label> 

			<select class="cajas" style="width:auto" id="proveedores" onchange="confirmarProveedor()">';
			
			foreach($proveedores as $row)
			{
				print('<option value="'.$row->id.'">'.$row->empresa.'</option>');
			}
			
			echo '</select>';
	}
	
	public function index($limite=0)
	{
		$Data['title']				= "Panel de Administración";
		$Data['cassadmin']			=$this->_csstyle["cassadmin"];
		$Data['csmenu']				=$this->_csstyle["csmenu"];
		$Data['csvalidate']			=$this->_csstyle["csvalidate"];
		$Data['csui']				=$this->_csstyle["csui"];
		$Data['nameusuario']		=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']		=$this->_fechaActual;
		
		$Data['Jry']				=$this->_jss['jquery'];
		$Data['JFuntProveedores']	=$this->_jss['JFuntProveedores'];
		$Data['Jqui']				=$this->_jss['jqueryui'];  
		$Data['jFicha_cliente']		=$this->_jss['jFicha_cliente']; 
		$Data['Jquical']			=$this->_jss['jquerycal'];
		$Data['permisos']			=$this->configuracion->obtenerRolPermisos($this->session->userdata('rol'));
		$Data['menuActivo']			='proveedores'; 
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Pag["base_url"]		= base_url()."proveedores/index/";
		$Pag["total_rows"]		=$this->proveedores->contarProveedores();//Total de Registros
		$Pag["per_page"]		=15;
		$Pag["num_links"]		=5;
	
		$this->pagination->initialize($Pag);
		
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->leer=='0' and $data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}
		
		$data['proveedores']	= $this->proveedores->seleccionarProveedores($Pag["per_page"],$limite);
		$data['inicio']			= $limite+1;
		
		$data['permisoEditarProveedor']	= $this->_role!=1?$this->configuracion->comprobarPermisoAsignado($this->_iduser,7):1;
		$data['permisoBorrarProveedor']	= $this->_role!=1?$this->configuracion->comprobarPermisoAsignado($this->_iduser,8):1;
		
		$this->load->view("proveedores/index",$data);
		$this->load->view("pie",$Data);
	}
	
	public function borrarProveedor($idProveedor)
	{
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}
		
		$proveedor=$this->proveedores->borrarProveedor($idProveedor);
		
		$proveedor=="1"?
				$this->session->set_userdata('notificacion','El proveedor se ha borrado correctamente'):
				$this->session->set_userdata('errorNotificacion','Imposible borrar el proveedor, ya que esta asociado con registros de materia prima, productos y/o compras');
				
		redirect('proveedores/index','refresh');
	}

	function contactos($proveedor)
	{
		$Data['title']			= "Panel de Administración";
		$Data['cassadmin']		=$this->_csstyle["cassadmin"];
		$Data['csmenu']			=$this->_csstyle["csmenu"];
		$Data['csvalidate']		=$this->_csstyle["csvalidate"];
		$Data['csui']			=$this->_csstyle["csui"];
		$Data['nameusuario']	=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']	=$this->_fechaActual;
		$Data['Jry']			=$this->_jss['jquery'];
		$Data['Jqui']			=$this->_jss['jqueryui'];
		$Data['permisos']		=$this->configuracion->obtenerRolPermisos($this->session->userdata('rol'));
		$Data['menuActivo']		='proveedores'; 
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}

		$data['contactos']		=$this->proveedores->obtenerContactos($proveedor);
		$data['proveedor']		=$this->proveedores->obtenerDatosProveedor($proveedor);
		$data['idProveedor']	=$proveedor;
		
		$this->load->view("proveedores/contactos/index",$data);
		$this->load->view("pie",$Data);
	}

	public function borrarContacto($idContacto,$idProveedor)
	{
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}
		
		$contacto=$this->proveedores->borrarContacto($idContacto);
		
		$contacto=="1"?
		$this->session->set_userdata('notificacion','El contacto se ha borrado correctamente'):
		$this->session->set_userdata('errorNotificacion','Error al borrar al contacto');
		
		redirect('proveedores/contactos/'.$idProveedor,'refresh');
	}

	public function editar_contacto($id,$proveedor)
	{
		#----------------------------------PERMISOS------------------------------------#
		$data['permiso']=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		if($data['permiso']->escribir=='0')
		{
			redirect('principal/permisosUsuario','refresh');
			return;
		}
		
		$Data['title']			= "Panel de Administración";
		$Data['cassadmin']		=$this->_csstyle["cassadmin"];
		$Data['csmenu']			=$this->_csstyle["csmenu"];
		$Data['csvalidate']		=$this->_csstyle["csvalidate"];
		$Data['nameusuario']	=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']	=$this->_fechaActual;
		$Data['Jry']			=$this->_jss['jquery'];
		$Data['jvalidate']		=$this->_jss['jvalidate'];
		$Data['permisos']		=$this->configuracion->obtenerRolPermisos($this->session->userdata('rol'));
		$Data['menuActivo']		='proveedores'; 
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		//$Conte['Serie']=$this->proveedores->getGeneraSerieID();
		
		$Conte['contactos']=$this->proveedores->get_contacto($id);
		$Conte['idproveedor']=$proveedor;
		$Conte['proveedor']=$this->proveedores->obtenerDatosProveedor($proveedor);
		//echo $Conte['contactos'];
		$this->load->view("proveedores/contactos/editar",$Conte);
		
		$this->load->view("pie",$Data);
	}

	public function update_contacto($id)
	{
		if(!empty ($_POST))
		{
			$idproveedor=$this->input->post('oculto');
			
			if($this->proveedores->update_contacto($id) != NULL)
			{
				$this->session->set_flashdata('message', 
				array('messageType' => 'success','Message' => 'El registro se ha actualizado correctamente.'));
			}
			else
			{
				$this->session->set_flashdata('message', 
				array('messageType' => 'error','Message' => 'Ocurrio un error al actualizar el registro.'));
			}
			
			redirect('proveedores/contactos_proveedores/'.$idproveedor,'refresh');
		}
		else 
		{
			redirect('proveedores/editar_contacto/'.$id,'refresh');
		}
	}

	public function registrarContactoProveedor()
	{
		if(!empty($_POST))
		{
			$contacto=$this->proveedores->registrarContactoProveedor();
			
			$contacto=="1"?
			$this->session->set_userdata('notificacion','El contacto se ha registrado correctamente'):'';
			
			echo $contacto;
		}
	}
	
	public function obtenerContacto()
	{
		$idContacto	=$this->input->post('idContacto');
		$contacto	=$this->proveedores->obtenerContacto($idContacto);
		
		echo'
		<table class="admintable" width="99%;">
			<tr>
			<td class="key">Nombre:</td>
			<td>
				<input type="text" name="txtNombre" id="txtNombre" class="cajas" style="width:220px;" value="'.$contacto->nombre.'" /> 
				<input type="hidden" name="txtIdContacto" id="txtIdContacto" class="cajas" style="width:220px;" value="'.$contacto->idContacto.'" />
			</td>
			</tr>
			<tr>
				<td class="key">Departamento:</td>
				<td>
					<input name="txtDepartamento" style="width:220px;" type="text" class="cajas" id="txtDepartamento" value="'.$contacto->departamento.'"  /> 
				</td>
			</tr>
			<tr>
				<td class="key">Teléfono:</td>
				<td>
					<input type="text" name="txtTelefono" id="txtTelefono" class="cajas" style="width:220px;" value="'.$contacto->telefono.'" /> 
				</td>
			</tr>
			
			<tr>
			  <td class="key">Extension:</td>
			  <td>
			  	<input type="text" name="txtExtension" id="txtExtension" class="cajas"style="width:220px;" value="'.$contacto->extension.'">
			</td>
			</tr>
			
			<tr>
				<td class="key">Email:</td>
				<td>
					<input type="text" name="txtEmail" id="txtEmail" class="cajas" style="width:220px;" value="'.$contacto->email.'" /> 
				</td>
			</tr>
		</table>';
	}
	
	public function editarContacto()
	{
		if(!empty($_POST))
		{
			$contacto=$this->proveedores->editarContacto();
			$contacto==1?$this->session->set_userdata('notificacion','El contacto se ha editado corractamente'):'';
			
			echo $contacto;		
		}
	}
	
	public function buscarProveedor($idProveedor)
	{
		$proveedor		=$this->proveedores->obtenerProveedor($idProveedor);
		$contactos		=$this->proveedores->obtenerContactos($proveedor->idProveedor);
		$cuentas		=$this->proveedores->obtenerCuentas($idProveedor);
		
		echo'
		<table class="admintable" width="100%;">
			<tr>
				<th colspan="4"> Datos del proveedor</th>
			</tr>
			<tr>
				<td style="width:15%" class="key">Empresa:</td>
				<td style="width:35%">'.$proveedor->empresa.'</td>
				<td style="width:15%" class="key">Alias:</td>
				<td style="width:35%">'.$proveedor->alias.'</td>
				
			</tr>
			
			<tr>
				<td class="key">Calle:</td>
				<td>'.$proveedor->domicilio.'</td>
				<td class="key">Número:</td>
				<td>'.$proveedor->numero.'</td>
			</tr>
			
			<tr>
				<td class="key">Colonia:</td>
				<td>'.$proveedor->colonia.'</td>
				<td class="key">Localidad:</td>
				<td>'.$proveedor->localidad.'</td>
			</tr>
			
			<tr>
				<td class="key">Municipio:</td>
				<td>'.$proveedor->municipio.'</td>
				<td class="key">Estado:</td>
				<td>'.$proveedor->estado.'</td>
			</tr>
			
			<tr>
				<td class="key">País:</td>
				<td>'.$proveedor->pais.'</td>
				<td class="key">Código postal:</td>
				<td>'.$proveedor->codigoPostal.'</td>
			</tr>
			
			<tr>
				<td class="key">Teléfono:</td>
				<td>'.$proveedor->telefono.'</td>
				<td class="key">Email:</td>
				<td>'.$proveedor->email.'</td>
			</tr>

			<tr>
			 	<td class="key">Página:</td>
			 	<td colspan="3">'.$proveedor->website.'</td>
			</tr>
			<tr>
				<td class="key">Vende:</td>
				<td colspan="3">'.$proveedor->vende.'</td>
			</tr>
		</table>
		
		<table class="admintable" width="100%;">
			<tr>
				<th colspan="5"> Contactos</th>
			</tr>
			<tr>
				<th align="center">Nombre</th>
				<th align="center">Teléfono</th>
				<th align="center">Email</th>
				<th align="center">Departamento</th>
				<th align="center">Extensión</th>
			</tr>';
		
		foreach($contactos as $contacto)
		{
			echo'
			<tr>
			 	<td align="left">'.$contacto->nombre.'</td>
			 	<td align="left">'.$contacto->telefono.'</td>
				<td align="left">'.$contacto->email.'</td>
				<td align="left">'.$contacto->departamento.'</td>
				<td align="center">'.$contacto->extension.'</td>
			</tr>';
		}
		echo '</table>';
			
		echo'
		<table class="admintable" width="100%;">
			<tr>
				<th colspan="4"> Cuentas de banco</th>
			</tr>
			<tr>
				<th align="center">Banco</th>
				<th align="center">Sucursal</th>
				<th align="center">Cuenta</th>
				<th align="center">Clabe</th>
				
			</tr>';
			
			foreach($cuentas as $row)
			{
				echo'
				<tr>
					<td align="center">'.$row->banco.'</td>
					<td align="center">'.$row->sucursal.'</td>
					<td align="center">'.$row->cuenta.'</td>
					<td align="center">'.$row->clabe.'</td>
				</tr>';
			}
			
		echo '</table>';
	}
	
	public function seguimientoProveedores()
	{
		$idProveedor		=$this->input->post('idProveedor');
		$seguimientos		=$this->proveedores->obtenerSeguimientoProveedor($idProveedor);
		$permiso			=$this->configuracion->obtenerPermisosId('2',$this->session->userdata('rol'));
		
		echo'<input type="hidden" id="txtIdProveedor" value="'.$idProveedor.'" />';
		
	 	echo 
	 	'<div align="right" style="margin-left:60%; padding-right:20px">
		Llamada<img src="'.base_url().'img/morada.png" width="25" />
		 Cita<img src="'.base_url().'img/verde.png" width="25" />
		 Seguimiento<img src="'.base_url().'img/amarilla.png" width="25" />
		 Cliente<img src="'.base_url().'img/naranja.png" width="25" />';
		 
 		echo'</div>'; 
		
		if(!empty($seguimientos))
		{
			echo'
			<div class="ui-state-error" ></div>
			<table class="admintable" width="97%;" style=" margin-left:1.5%;">
			<tr>
				<th class="encabezadoPrincipal">#</th>
				<th class="encabezadoPrincipal">Fecha</th>
				<th class="encabezadoPrincipal">Responsable</th>
				<th class="encabezadoPrincipal">Servicio</th>
				<th class="encabezadoPrincipal">Monto</th>
				<th class="encabezadoPrincipal">Fecha cierre</th>
				<th class="encabezadoPrincipal">Comentarios</th>
				<th class="encabezadoPrincipal">Status</th>
				<th class="encabezadoPrincipal">Acciones</th>
			</tr>';
			  
		 	$i=1;
			$fecha=date('Y-m-d');
			
			foreach ($seguimientos as $row)
			{
				$estilo=$i%2>0?'class="sinSombra"':'class="sombreado"';
				#<a onclick="detallesSeguimiento('.$row->idSeguimiento.')" style="cursor:pointer" id="lblSeguimiento'.$i.'">
				print'
				<tr '.$estilo.'>
				<td align="center" valign="middle">'.$i.'</td>
				<td align="center" valign="middle">'.$row->fecha.'</td>
				<td align="center" valign="middle">'.$row->responsable.'</td>
				<td align="center" valign="middle">'.$row->servicio.'</td>
				<td align="center" valign="middle">$ '.number_format($row->monto,2).'</td>
				<td align="center" valign="middle">'.$row->fechaCierre.'</td>
				<td align="center" valign="middle">
				'.
				substr($row->comentarios,0,50).'
				<input type="hidden" value="'.$row->idSeguimiento.'" id="idSeguimiento'.$i.'" />
				</td>
				<td align="center" valign="middle">';
				
					if ($row->idStatus==3)
					{
						print('<img src="'.base_url().'img/naranja.png" width="25" />');
					}
					
					if ($row->idStatus==2)
					{
						print('<img src="'.base_url().'img/amarilla.png" width="25" />');
					}
					
					if ($row->idStatus==1)
					{
						print('<img src="'.base_url().'img/verde.png" width="25" />');
					}
					
					if ($row->idStatus==11)
					{
						print('<img src="'.base_url().'img/morada.png" width="25" />');
					}
				
				echo'</td>
				<td align="center" valign="middle" id="tdSeguimiendo'.$i.'">';
				
				if($permiso->escribir=='1')
				{ 
					
					echo '
					<img id="btnEditarSeguimiento'.$i.'" src="'.base_url().'img/editar.png" title="Editar" width="22" onclick="obtenerSeguimiento('.$row->idSeguimiento.')" />
					&nbsp;&nbsp;&nbsp;
					<img src="'.base_url().'img/borrar.png" title="Borrar" width="22" onclick="borrarSeguimiento('.$row->idSeguimiento.')" />
					
					<br />
					<label>Editar</label>
					<label>Borrar</label>
					</td>
					</tr>';
					
					echo'<script>
					
					$("#btnEditarSeguimiento'.$i.'").click(function(e)
					{
						$("#ventanaEditarSeguimiento").dialog("open");
					});
					
					$("#lblSeguimiento'.$i.'").click(function(e)
					{
						$("#ventanaDetallesSeguimiento").dialog("open");
					});
					</script>';
				}
				echo'</td>
				</tr>';
				
				$i++;
			}
			
			echo'</table>';
		}
		else
		{
			echo'
			<div class="Error_validar" style="margin-top:2px; width:96%; margin-left:2px; margin-bottom: 5px;">
			No hay registro de seguimientos para el proveedor</div>';
		}
	}
	
	public function formularioSeguimiento()
	{
		$status			=$this->configuracion->obtenerStatus(0);
		$servicios		=$this->configuracion->obtenerServicios();
		$responsables	=$this->configuracion->obtenerResponsables();
		
		echo '
		<script>
		$(document).ready(function()
		{
			$("#txtFechaSeguimiento,#txtFechaCierre").datetimepicker() 
		});
		</script>
		
		<table class="admintable" width="99%;">
			<tr>
				<td class="key">Fecha:</td>
				<td>                           <!-- FECHA CON HORA -->
					<input type="text" name="txtFechaSeguimiento" id="txtFechaSeguimiento" class="cajas" style="width:160px;" value=""  /> 
				</td>
			</tr>
			
			<tr>
				<td class="key">Status:</td>
				<td>
					<select id="selectStatus" name="selectStatus" class="cajas">';
					foreach($status as $row)
					{
						echo '<option value="'.$row->idStatus.'">'.$row->nombre.'</option>';
					}

					echo'
					</select>
				</td>
			</tr>
			
			<tr>
				<td class="key">Servicio:</td>
				<td>
					<select id="selectServicio" name="selectServicio" class="cajas">';
					
					foreach($servicios as $row)
					{
						echo '<option value="'.$row->idServicio.'">'.$row->nombre.'</option>';
					}

					echo'
                    </select>
				</td>
			</tr>
			
			 <tr>
				<td class="key">Responsable:</td>
				<td>
					<select id="selectResponsable" name="selectResponsable" class="cajas">';

					foreach($responsables as $row)
					{
						echo '<option value="'.$row->idResponsable.'">'.$row->nombre.'</option>';
					}
					
					echo'
					</select>
				</td>
			</tr>
			
			 <tr>
				<td class="key">Lugar:</td>
				<td>
					<input  type="text" id="txtLugar" name="txtLugar" rows="3" style="width:300px"class="cajas" />
				</td>
			</tr>
			
			<tr>
				<td class="key">Monto:</td>
				<td>                          
					<input type="text" name="txtMonto" id="txtMonto" value="0" class="cajas" style="width:160px;" /> 
				</td>
			</tr>
			
			<tr>
				<td class="key">Fecha cierre:</td>
				<td>                    
					<input type="text" name="txtFechaCierre" id="txtFechaCierre" class="cajas" style="width:160px;" /> 
				</td>
			</tr>
			
			<tr>
				<td class="key">Comentarios:</td>
				<td>
					<textarea id="txtComentarios" name="txtComentarios" rows="3" style="width:300px"class="TextArea"></textarea>
				</td>
			</tr>
		</table>';
	}
	
	public function obtenerSeguimiento()
	{
		$idSeguimiento		=$this->input->post('idSeguimiento');
		
		$status				=$this->configuracion->obtenerStatus(0);
		$seguimiento		=$this->proveedores->obtenerSeguimiento($idSeguimiento);
		$responsables		=$this->configuracion->obtenerResponsables();
		$servicios			=$this->configuracion->obtenerServicios();
		
		echo '
		<input type="hidden" name="txtIdSeguimiento" value="'.$idSeguimiento.'" id="txtIdSeguimiento" /> ';
		
		echo'
		<table class="admintable" width="99%;">
			<tr>
				<td class="key">Fecha:</td>
				<td>
					<input type="text" name="txtFechaEditar" value="'.$seguimiento->fecha.'" id="txtFechaEditar" class="cajas" style="width:160px;" /> 
					<script>
						$("#txtFechaEditar").datetimepicker({ changeMonth: true });
					</script>
				</td>
			</tr>
		
			<tr>
				<td class="key">Status:</td>
				<td>
					<select id="selectStatusEditar" name="selectStatusEditar" class="cajas">';
					
					foreach($status as $row)
					{
						$seleccionado=$row->idStatus==$seguimiento->idStatus?'selected="selected"':'';
						
						echo '<option '.$seleccionado.' value="'.$row->idStatus.'">'.$row->nombre.'</option>';
					}
					
					echo'
                    </select>
				</td>
			</tr>
			
			<tr>
				<td class="key">Servicio:</td>
				<td>
					<select id="selectServicioEditar" name="selectServicioEditar" class="cajas">';
					
					foreach($servicios as $row)
					{
						$seleccionado=$row->idServicio==$seguimiento->idServicio?'selected="selected"':'';
						
						echo '<option '.$seleccionado.' value="'.$row->idServicio.'">'.$row->nombre.'</option>';
					}
					
					echo'
                    </select>
				</td>
			</tr>
			
			<tr>
				<td class="key">Responsable:</td>
				<td>
					<select id="selectResponsableEditar" name="selectResponsableEditar" class="cajas">';
					
					foreach($responsables as $row)
					{
						$seleccionado=$row->idResponsable==$seguimiento->idResponsable?'selected="selected"':'';
						
						echo '<option '.$seleccionado.' value="'.$row->idResponsable.'">'.$row->nombre.'</option>';
					}
					
					echo'
                    </select>
				</td>
			</tr>
			
			<tr>
				<td class="key">Lugar:</td>
				<td>                       
					<input type="text" name="txtLugarEditar" id="txtLugarEditar" value="'.$seguimiento->lugar.'" 
						class="cajas" style="width:160px;" /> 
				</td>
			</tr>
			
			 <tr>
				<td class="key">Monto:</td>
				<td>                       
					<input type="text" name="txtMontoEditar" id="txtMontoEditar" value="'.$seguimiento->monto.'" class="cajas" style="width:160px;" /> 
				</td>
			</tr>
			
			<tr>
				<td class="key">Fecha cierre:</td>
				<td>                           
					<input type="text" name="txtFechaCierreEditar" id="txtFechaCierreEditar" value="'.$seguimiento->fechaCierre.'" class="cajas" style="width:160px;" /> 
					<script>
						$("#txtFechaCierreEditar").datetimepicker({ changeMonth: true });
					</script>
				</td>
			</tr>
			
			<tr>
				<td class="key">Comentarios:</td>
				<td>
					<textarea id="txtComentariosEditar" name="txtComentariosEditar" rows="3" style="width:300px"class="TextArea">'.$seguimiento->comentarios.'</textarea>
				</td>
			</tr>
			
			<tr>
				<td class="key">Observaciones:</td>
				<td>
					<textarea id="txtObservacionesEditar" name="txtObservacionesEditar" rows="3" style="width:300px"class="TextArea">'.$seguimiento->comentariosExtra.'</textarea>
				</td>
			</tr>
			
		</table>';
	}
	
	public function borrarSeguimiento()
	{
		if(!empty($_POST))
		{
			$idSeguimiento=$this->input->post('idSeguimiento');
			$seguimiento=$this->proveedores->borrarSeguimiento($idSeguimiento);
			echo $seguimiento;
		}
	}
	public function registrarSeguimiento()
	{
		if(!empty($_POST))
		{
			$seguimiento=$this->proveedores->registrarSeguimiento();
			echo $seguimiento;
		}
	}
	
	public function editarSeguimiento()
	{
		if(!empty($_POST))
		{
			$seguimiento=$this->proveedores->editarSeguimiento();
			echo $seguimiento;
		}
	}
	
	public function actualizarMapa()
	{
		$this->load->library('googlemaps');
		
		$calle			=$this->input->post('calle');
		$numero			=$this->input->post('numero');
		$colonia		=$this->input->post('colonia');
		$localidad		=$this->input->post('localidad');
		$municipio		=$this->input->post('municipio');
		$estado			=$this->input->post('estado');
		$pais			=$this->input->post('pais');
		$codigoPostal	=$this->input->post('codigoPostal');
		
		$pais			=$pais=='México'?"Mexico":$pais;
		
		$config['center'] 				= $numero.', '.$calle.', '.$localidad.', '.$municipio.', '.$estado.', '.$pais.', '.$codigoPostal;
		$config['zoom'] 				= '13';
		$config['loadAsynchronously'] 	= true;
		$config['https'] 				= true;
		$config['map_height'] 			= '300px';
		$config['map_width'] 			= '500px';
		$config['posicionY'] 			= '11%';
		$config['posicionX'] 			= '47%';
		$config['posicion'] 			= 'absolute';
		
		$config['map_div_id'] 			= 'mapaProveedores';

		$this->googlemaps->initialize($config);
		
		$marker['icon'] 				= 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld=A|9999FF|000000';
		$marker['position'] 			= $config['center'];
		$this->googlemaps->add_marker($marker);
		$map 					= $this->googlemaps->create_map();

		echo $map['js'];
		echo $map['html'];
		
		 echo'
		<script>
		$(document).ready(function()
		{
			loadScript();
		});
		</script>';
	}
	
	public function formularioProveedores()
	{
		$data['bancos']	= $this->bancos->obtenerBancos();
		
		$this->load->view('proveedores/formularioProveedores');
		
	}
}
?>
